// Type Library
// 1.00 - 2017-05-23
// 1.01 - 2017-06-23
// (c) Copyright 2017
//
// Zur Verwendung mit allen Allnet Libraries


// *** Datentypen ***

#if defined(ESP8266)    // ESP 8266 (32 Bit)
  typedef unsigned char uint8_t;
  typedef unsigned char uint8;
  typedef signed   char int8_t;
  typedef signed   char int8;
#endif
#if defined(__MK20DX256__) || defined(__SAM3X8E__) || defined(ESP8266) || defined(ESP32)    // Teensy, Arduino Due, ESP 8266 (32 Bit)
  typedef int16_t  int16;
  #if defined(__SAM3X8E__) || defined(ESP32)
    typedef uint16_t uint16;
  #endif
#else
  typedef uint16_t uint;
  typedef uint16_t uint16;
  typedef int16_t  int16;
#endif
#if defined(ESP8266)                                                      // ESP 8266 (32 Bit)
#else
  #if defined(ESP32)
  #else
    typedef uint32_t ulong;
  #endif
  typedef uint32_t uint32;
  typedef int32_t  int32;
#endif
typedef int64_t  int64;
typedef uint64_t uint64;

struct t_DateTime
{
    byte day = 0;
    byte month = 0;
    uint year = 0;
    byte second = 0;
    byte minute = 0;
    byte hour = 0;
};

struct t_Color
{
    ulong red   = 0;
    ulong green = 0;
    ulong blue  = 0;
    ulong white = 0;
};

